-- phpMyAdmin SQL Dump
-- version 3.1.3.2
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Aug 25, 2009 at 05:24 PM
-- Server version: 5.0.45
-- PHP Version: 5.2.8

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

--
-- Database: 'songindex'
--

-- --------------------------------------------------------

--
-- Table structure for table 'band_artist'
--

CREATE TABLE IF NOT EXISTS band_artist (
  id bigint(20) unsigned NOT NULL auto_increment,
  `name` char(255) character set latin1 NOT NULL,
  listowner tinyint(1) default NULL,
  addtime timestamp NOT NULL default CURRENT_TIMESTAMP,
  addby char(10) character set latin1 NOT NULL,
  person tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (id)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_danish_ci COMMENT='Artists and bands' AUTO_INCREMENT=44 ;

-- --------------------------------------------------------

--
-- Table structure for table 'band_concert'
--

CREATE TABLE IF NOT EXISTS band_concert (
  id bigint(20) unsigned NOT NULL auto_increment,
  listownersid bigint(20) NOT NULL default '0',
  `name` char(255) character set latin1 NOT NULL,
  `date` date NOT NULL,
  addtime timestamp NOT NULL default CURRENT_TIMESTAMP,
  addby char(10) character set latin1 NOT NULL,
  venue char(255) character set latin1 NOT NULL,
  PRIMARY KEY  (id),
  KEY concert_artist (listownersid)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_danish_ci COMMENT='Concerts' AUTO_INCREMENT=5 ;

-- --------------------------------------------------------

--
-- Table structure for table 'band_concertsong'
--

CREATE TABLE IF NOT EXISTS band_concertsong (
  id bigint(20) unsigned NOT NULL auto_increment,
  concertid bigint(20) NOT NULL,
  songid bigint(20) NOT NULL,
  `serial` bigint(20) default NULL,
  addtime timestamp NOT NULL default CURRENT_TIMESTAMP,
  addby char(10) character set latin1 NOT NULL,
  PRIMARY KEY  (id),
  UNIQUE KEY consertsong_idx (songid,concertid),
  KEY consertsong_song (songid),
  KEY concertsong_concert (concertid)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_danish_ci COMMENT='Played at concerts' AUTO_INCREMENT=41 ;

-- --------------------------------------------------------

--
-- Stand-in structure for view 'band_concertsong_e'
--
CREATE TABLE IF NOT EXISTS `band_concertsong_e` (
`id` bigint(20) unsigned
,`concertid` char(255)
,`songid` char(255)
,`serial` bigint(20)
,`addtime` timestamp
,`addby` char(10)
);
-- --------------------------------------------------------

--
-- Stand-in structure for view 'band_concertsong_name'
--
CREATE TABLE IF NOT EXISTS `band_concertsong_name` (
`id` bigint(20) unsigned
,`name` longtext
);
-- --------------------------------------------------------

--
-- Table structure for table 'band_creatorrole'
--

CREATE TABLE IF NOT EXISTS band_creatorrole (
  id bigint(20) unsigned NOT NULL auto_increment,
  `name` char(255) character set latin1 NOT NULL,
  addtime timestamp NOT NULL default CURRENT_TIMESTAMP,
  addby char(10) character set latin1 NOT NULL,
  PRIMARY KEY  (id)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_danish_ci COMMENT='Creator role' AUTO_INCREMENT=4 ;

-- --------------------------------------------------------

--
-- Stand-in structure for view 'band_listowners'
--
CREATE TABLE IF NOT EXISTS `band_listowners` (
`id` bigint(20) unsigned
,`name` char(255)
,`listowner` tinyint(1)
,`addtime` timestamp
,`addby` char(10)
,`person` tinyint(1)
);
-- --------------------------------------------------------

--
-- Table structure for table 'band_song'
--

CREATE TABLE IF NOT EXISTS band_song (
  id bigint(20) unsigned NOT NULL auto_increment,
  `name` char(255) character set latin1 NOT NULL,
  artistid bigint(20) default NULL,
  text_url varchar(128) collate utf8_danish_ci default 'http://',
  `comment` text collate utf8_danish_ci,
  addtime timestamp NOT NULL default CURRENT_TIMESTAMP,
  addby char(10) character set latin1 NOT NULL,
  PRIMARY KEY  (id)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_danish_ci COMMENT='Available tunes' AUTO_INCREMENT=59 ;

-- --------------------------------------------------------

--
-- Table structure for table 'band_songcreator'
--

CREATE TABLE IF NOT EXISTS band_songcreator (
  id bigint(20) unsigned NOT NULL auto_increment,
  songid bigint(20) default NULL,
  artistid bigint(20) default NULL,
  creatorroleid bigint(20) default NULL,
  addtime timestamp NOT NULL default CURRENT_TIMESTAMP,
  addby char(10) character set latin1 NOT NULL,
  PRIMARY KEY  (id),
  UNIQUE KEY songcreator_idx (songid,artistid,creatorroleid),
  KEY songcreator_artist (artistid),
  KEY songcreator_song (songid)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_danish_ci COMMENT='Who is behind a tune' AUTO_INCREMENT=33 ;

-- --------------------------------------------------------

--
-- Stand-in structure for view 'band_songcreator_browse'
--
CREATE TABLE IF NOT EXISTS `band_songcreator_browse` (
`id` bigint(20) unsigned
,`name` longtext
);
-- --------------------------------------------------------

--
-- Stand-in structure for view 'band_songcreator_e'
--
CREATE TABLE IF NOT EXISTS `band_songcreator_e` (
`id` bigint(20) unsigned
,`songid` char(255)
,`artistid` char(255)
,`creatorroleid` char(255)
,`addtime` timestamp
,`addby` char(10)
);
-- --------------------------------------------------------

--
-- Stand-in structure for view 'band_songcreator_name'
--
CREATE TABLE IF NOT EXISTS `band_songcreator_name` (
`id` bigint(20) unsigned
,`name` longtext
);
-- --------------------------------------------------------

--
-- Table structure for table 'band_songstatus'
--

CREATE TABLE IF NOT EXISTS band_songstatus (
  id bigint(20) unsigned NOT NULL auto_increment,
  songid int(11) NOT NULL,
  listownersid int(11) NOT NULL,
  statusid int(10) unsigned NOT NULL default '0',
  songkey char(4) default NULL,
  bpm smallint(6) default NULL,
  vocal char(128) default NULL,
  `comment` text,
  addtime timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  addby char(64) default NULL,
  PRIMARY KEY  (id),
  UNIQUE KEY songstatus_songid_lisownersid (songid,listownersid),
  KEY songstatus_songid (songid),
  KEY songstatus_listownersid (listownersid)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 COMMENT='Songstatus' AUTO_INCREMENT=119 ;

-- --------------------------------------------------------

--
-- Stand-in structure for view 'band_songstatus_e'
--
CREATE TABLE IF NOT EXISTS `band_songstatus_e` (
`id` bigint(20) unsigned
,`songid` char(255)
,`listownerid` char(255)
,`songkey` char(4)
,`bpm` smallint(6)
,`vocal` char(128)
,`statusid` char(128)
,`addtime` timestamp
,`addby` char(64)
);
-- --------------------------------------------------------

--
-- Stand-in structure for view 'band_songstatus_name'
--
CREATE TABLE IF NOT EXISTS `band_songstatus_name` (
`id` bigint(20) unsigned
,`name` longtext
);
-- --------------------------------------------------------

--
-- Stand-in structure for view 'band_song_e'
--
CREATE TABLE IF NOT EXISTS `band_song_e` (
`id` bigint(20) unsigned
,`name` char(255)
,`artistid` char(255)
);
-- --------------------------------------------------------

--
-- Table structure for table 'band_status'
--

CREATE TABLE IF NOT EXISTS band_status (
  id bigint(20) unsigned NOT NULL auto_increment,
  `name` char(128) character set latin1 default NULL,
  marker char(4) collate utf8_danish_ci NOT NULL,
  PRIMARY KEY  (id)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_danish_ci COMMENT='A tunes rehersal status' AUTO_INCREMENT=8 ;

-- --------------------------------------------------------

--
-- Table structure for table 'band_user'
--

CREATE TABLE IF NOT EXISTS band_user (
  id bigint(20) unsigned NOT NULL auto_increment,
  `name` varchar(200) character set utf8 default NULL,
  email varchar(256) character set utf8 default NULL,
  username char(10) character set utf8 NOT NULL default '',
  usertype smallint(5) unsigned NOT NULL default '1',
  `password` char(32) character set utf8 default NULL,
  PRIMARY KEY  (id)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_danish_ci COMMENT='__system__' AUTO_INCREMENT=18 ;

-- --------------------------------------------------------

--
-- Structure for view 'band_concertsong_e'
--
DROP TABLE IF EXISTS `band_concertsong_e`;

CREATE VIEW band_concertsong_e AS select cs.id AS id,c.`name` AS concertid,s.`name` AS songid,cs.`serial` AS `serial`,cs.addtime AS addtime,cs.addby AS addby from ((band_concertsong cs join band_concert c) join band_song s) where ((cs.songid = s.id) and (cs.concertid = c.id));

-- --------------------------------------------------------

--
-- Structure for view 'band_concertsong_name'
--
DROP TABLE IF EXISTS `band_concertsong_name`;

CREATE VIEW band_concertsong_name AS select cs.id AS id,concat(s.`name`,_latin1' (',c.`name`,_latin1')') AS `name` from ((band_concertsong cs join band_song s) join band_concert c) where ((cs.concertid = c.id) and (cs.songid = s.id));

-- --------------------------------------------------------

--
-- Structure for view 'band_listowners'
--
DROP TABLE IF EXISTS `band_listowners`;

CREATE VIEW band_listowners AS select band_artist.id AS id,band_artist.`name` AS `name`,band_artist.listowner AS listowner,band_artist.addtime AS addtime,band_artist.addby AS addby,band_artist.person AS person from band_artist where (band_artist.listowner = 1);

-- --------------------------------------------------------

--
-- Structure for view 'band_songcreator_browse'
--
DROP TABLE IF EXISTS `band_songcreator_browse`;

CREATE VIEW band_songcreator_browse AS select sc.id AS id,concat(s.`name`,_latin1' / ',a.`name`,_latin1' / ',cr.`name`) AS `name` from (((band_song s join band_songcreator sc) join band_artist a) join band_creatorrole cr) where ((sc.songid = s.id) and (sc.artistid = a.id) and (sc.creatorroleid = cr.id));

-- --------------------------------------------------------

--
-- Structure for view 'band_songcreator_e'
--
DROP TABLE IF EXISTS `band_songcreator_e`;

CREATE VIEW band_songcreator_e AS select sc.id AS id,s.`name` AS songid,a.`name` AS artistid,cr.`name` AS creatorroleid,sc.addtime AS addtime,sc.addby AS addby from (((band_song s join band_songcreator sc) join band_artist a) join band_creatorrole cr) where ((sc.songid = s.id) and (sc.artistid = a.id) and (sc.creatorroleid = cr.id));

-- --------------------------------------------------------

--
-- Structure for view 'band_songcreator_name'
--
DROP TABLE IF EXISTS `band_songcreator_name`;

CREATE VIEW band_songcreator_name AS select sc.id AS id,concat(s.`name`,_latin1' / ',a.`name`,_latin1' / ',cr.`name`) AS `name` from (((band_song s join band_songcreator sc) join band_artist a) join band_creatorrole cr) where ((sc.songid = s.id) and (sc.artistid = a.id) and (sc.creatorroleid = cr.id));

-- --------------------------------------------------------

--
-- Structure for view 'band_songstatus_e'
--
DROP TABLE IF EXISTS `band_songstatus_e`;

CREATE VIEW band_songstatus_e AS select ss.id AS id,s.`name` AS songid,b.`name` AS listownerid,ss.songkey AS songkey,ss.bpm AS bpm,ss.vocal AS vocal,st.`name` AS statusid,ss.addtime AS addtime,ss.addby AS addby from (((band_songstatus ss join band_song s) join band_artist b) join band_status st) where ((b.id = ss.listownersid) and (s.id = ss.songid) and (ss.statusid = st.id));

-- --------------------------------------------------------

--
-- Structure for view 'band_songstatus_name'
--
DROP TABLE IF EXISTS `band_songstatus_name`;

CREATE VIEW band_songstatus_name AS select ss.id AS id,concat(s.`name`,_latin1'  (',b.`name`,_latin1')') AS `name` from ((band_songstatus ss join band_song s) join band_artist b) where ((b.id = ss.listownersid) and (s.id = ss.songid));

-- --------------------------------------------------------

--
-- Structure for view 'band_song_e'
--
DROP TABLE IF EXISTS `band_song_e`;

CREATE VIEW band_song_e AS select s.id AS id,s.`name` AS `name`,a.`name` AS artistid from (band_song s join band_artist a) where (s.artistid = a.id);
